Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.ee
Class JDOObjectFactory

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.ee.JDOObjectFactory

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory

public class JDOObjectFactory
extends java.lang.Object
implements javax.naming.spi.ObjectFactory

Object factory used with the JDO runtime.

Field Summary
`static java.lang.String` | `OBJECT_KEY`

Constructor Summary
`JDOObjectFactory()`

Method Summary
`java.lang.Object` | `getObjectInstance(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable environment)`
`static void` | `ref(java.lang.String name, javax.resource.cci.ConnectionFactory factory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OBJECT_KEY

    public static final java.lang.String OBJECT_KEY

See Also:
  Constant Field Values

Constructor Detail

### JDOObjectFactory

    public JDOObjectFactory()

Method Detail

### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object obj,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable environment)

  Specified by:
    `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`

### ref

    public static void ref(java.lang.String name,
                           javax.resource.cci.ConnectionFactory factory)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.